package com.cnlaunch.golo.inspection.model;

import java.io.Serializable;


/**
 * 我的车辆档案信息
 * @author yangbo
 *
 */
public class CarCord implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 270846487821498554L;

	 // 将id属性设置为主键，必须有一个主键，
    // 其实如果变量名为：'id'或'_id'默认就是主键
    // 也就是在一个JavaBean里面必须有'id'或'_id'或'@Id()'注解，否则会报错

    private Long id;
    
	private String user_id;//用户id
	private String drive_license_date;//驾驶证日期
	private String year_examinate_date;//年检日期
	private String insurance_date;//保险日期
	private String maintain_date;//保养日期
	private String mine_car_image_url;//车辆图片URL
	private String serial_no;//序列号
	private String car_engine_num;//发动机
	private String car_gearbox_type;//变速箱
	private String car_displacement;//排量
	private String car_producing_year;//哪年生产
	private String car_brand_vin;//VIN码
	private String car_type_id;//车型（直接存的就是名称）
	private String car_code;//
	private String mine_car_plate_num;//车牌号
	private String mine_car_name;//车辆昵称
	private String mine_car_id;//车辆ID
	private String auto_code;//AUTOCODE值
	private String car_sub_type_id;//下级车辆品牌名称id
	private String car_series_name;//上级车辆品牌名称
	private String car_series_id;//上级车辆品牌名称id
	private String car_sub_type_name;//下级车辆品牌名称
	private String version_no;//版本号
	private boolean showButton;
//	private PublicNumber maintain_info;
	private String pub_id;//绑定维修企业id
	private String pub_name;//绑定维修企业名字
	private String full_image_url;//
	private String Company_name;//
	private String last_mileage;//下次保养里程
	private String current_mileage;//当前保养里程
	private String mileage_interval;//保养里程间隔
	private String is_default;//1为默认车辆0不是
	private String logo_url;//车标地址
//	private String speed;//速度排名
//	private String oil;//油耗排名
//	private String trip;//里程排名
	//车辆品牌id--此car_brand_id已经没有用，品牌id用上面的car_sub_type_id,car_series_id(如果car_sub_type_id不为空则这位品牌id，空的话则car_series_id为品牌id)
	private String car_brand_id;
//	private String car_model_id;//车辆型号id 
//	private String car_model_name;//车辆型号名字 
	private String pub_url;//绑定维修企业头像地址
	private String pub_signature;//绑定维修企业签名
	private String buy_time;//购买时间
	private String buy_amount;//购买金额
	private String belong;//0 代表自己的车，1 代表他人分享给你的车
	private String sharer_id;//分享者的user_id的串
	private String insurance_id;//投保单位id
	private String insurance_name;//投保单位名称
	private String insurance_phone;//投保单位电话
	private String buy_unit;//购买单位（购买车辆的单位）
	private String buy_unit_phone;//购买单位电话号码（购买车辆的单位电话号码）
	private String pub_contact_phone;//公众号电话号码
	private String sharer_data;//共享好友数据Jsonarray格式未解析
//	private List<ShareData> shareDataList;//共享好友数据Jsonarray格式解析过的
	private String golo_eye;
	
	/*------------------------违章信息------------------------*/
	private String date;
	private String area;
	private String act;
	private String code;
	private String fen;
	private String money;
	
	/**add  添加是否允许用户更改车辆配置标志   zilongw 2014.08.30 **/
	private int is_change; //允许用户更改一次车辆配置的机会 	1表示已改过，0表示未改过
	private String old_serial_no; //新序列号对应的老序列号（在更换接头情况下可能存在这种映射关系）
	
	private String action_code;
	
	
	public String getAction_code() {
		return action_code;
	}

	public void setAction_code(String action_code) {
		this.action_code = action_code;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getOld_serial_no(){
		return old_serial_no;
	}
	
	public void setOld_serial_no(String old_serial_no){
		this.old_serial_no = old_serial_no;
	}	
	public int getIs_change() {
		return is_change;
	}
	public void setIs_change(int is_change) {
		this.is_change = is_change;
	}
	
	public String getVersion_no() {
		return version_no;
	}
	public void setVersion_no(String version_no) {
		this.version_no = version_no;
	}
	public String getCar_sub_type_name() {
		return car_sub_type_name;
	}
	public void setCar_sub_type_name(String car_sub_type_name) {
		this.car_sub_type_name = car_sub_type_name;
	}
	public String getCar_series_id() {
		return car_series_id;
	}
	public void setCar_series_id(String car_series_id) {
		this.car_series_id = car_series_id;
	}
	public String getCar_series_name() {
		return car_series_name;
	}
	public void setCar_series_name(String car_series_name) {
		this.car_series_name = car_series_name;
	}
	public String getCar_sub_type_id() {
		return car_sub_type_id;
	}
	public void setCar_sub_type_id(String car_sub_type_id) {
		this.car_sub_type_id = car_sub_type_id;
	}
	public String getAuto_code() {
		return auto_code;
	}
	public void setAuto_code(String auto_code) {
		this.auto_code = auto_code;
	}
	public String getDate() {
		return date;
	}
	public void setDate(String date) {
		this.date = date;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getAct() {
		return act;
	}
	public void setAct(String act) {
		this.act = act;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getFen() {
		return fen;
	}
	public void setFen(String fen) {
		this.fen = fen;
	}
	public String getMoney() {
		return money;
	}
	public void setMoney(String money) {
		this.money = money;
	}
	public String getUser_id() {
		return user_id;
	}
	public void setUser_id(String user_id) {
		this.user_id = user_id;
	}
	public String getDrive_license_date() {
		return drive_license_date;
	}
	public void setDrive_license_date(String drive_license_date) {
		this.drive_license_date = drive_license_date;
	}
	public String getYear_examinate_date() {
		return year_examinate_date;
	}
	public void setYear_examinate_date(String year_examinate_date) {
		this.year_examinate_date = year_examinate_date;
	}
	public String getInsurance_date() {
		return insurance_date;
	}
	public void setInsurance_date(String insurance_date) {
		this.insurance_date = insurance_date;
	}
	public String getMaintain_date() {
		return maintain_date;
	}
	public void setMaintain_date(String maintain_date) {
		this.maintain_date = maintain_date;
	}
	public String getMine_car_image_url() {
		return mine_car_image_url;
	}
	public void setMine_car_image_url(String mine_car_image_url) {
		this.mine_car_image_url = mine_car_image_url;
	}
	public String getSerial_no() {
		return serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}
	public String getCar_engine_num() {
		return car_engine_num;
	}
	public void setCar_engine_num(String car_engine_num) {
		this.car_engine_num = car_engine_num;
	}
	public String getCar_gearbox_type() {
		return car_gearbox_type;
	}
	public void setCar_gearbox_type(String car_gearbox_type) {
		this.car_gearbox_type = car_gearbox_type;
	}
	public String getCar_displacement() {
		return car_displacement;
	}
	public void setCar_displacement(String car_displacement) {
		this.car_displacement = car_displacement;
	}
	public String getCar_producing_year() {
		return car_producing_year;
	}
	public void setCar_producing_year(String car_producing_year) {
		this.car_producing_year = car_producing_year;
	}
	public String getCar_brand_vin() {
		return car_brand_vin;
	}
	public void setCar_brand_vin(String car_brand_vin) {
		this.car_brand_vin = car_brand_vin;
	}
	public String getCar_type_id() {
		return car_type_id;
	}
	public void setCar_type_id(String car_type_id) {
		this.car_type_id = car_type_id;
	}
	public String getCar_code() {
		return car_code;
	}
	public void setCar_code(String car_code) {
		this.car_code = car_code;
	}
	public String getMine_car_plate_num() {
		return mine_car_plate_num;
	}
	public void setMine_car_plate_num(String mine_car_plate_num) {
		this.mine_car_plate_num = mine_car_plate_num;
	}
	public String getMine_car_name() {
		return mine_car_name;
	}
	public void setMine_car_name(String mine_car_name) {
		this.mine_car_name = mine_car_name;
	}
	public String getMine_car_id() {
		return mine_car_id;
	}
	public void setMine_car_id(String mine_car_id) {
		this.mine_car_id = mine_car_id;
	}
	public boolean isShowButton() {
		return showButton;
	}
	public void setShowButton(boolean showButton) {
		this.showButton = showButton;
	}
//	public PublicNumber getPublicnumber() {
//		return maintain_info;
//	}
//	public void setPublicnumber(PublicNumber publicnumber) {
//		this.maintain_info = publicnumber;
//	}
	public String getPub_id() {
		return pub_id;
	}
	public void setPub_id(String pub_id) {
		this.pub_id = pub_id;
	}
	public String getPub_name() {
		return pub_name;
	}
	public void setPub_name(String pub_name) {
		this.pub_name = pub_name;
	}
	public String getFull_image_url() {
		return full_image_url;
	}
	public void setFull_image_url(String full_image_url) {
		this.full_image_url = full_image_url;
	}
	public String getCompany_name() {
		return Company_name;
	}
	public void setCompany_name(String company_name) {
		Company_name = company_name;
	}
	public String getLast_mileage() {
		return last_mileage;
	}
	public void setLast_mileage(String last_mileage) {
		this.last_mileage = last_mileage;
	}
	public String getCurrent_mileage() {
		return current_mileage;
	}
	public void setCurrent_mileage(String current_mileage) {
		this.current_mileage = current_mileage;
	}
	public String getMileage_interval() {
		return mileage_interval;
	}
	public void setMileage_interval(String mileage_interval) {
		this.mileage_interval = mileage_interval;
	}
	public String getIs_default() {
		return is_default;
	}
	public void setIs_default(String is_default) {
		this.is_default = is_default;
	}
	public String getLogo_url() {
		return logo_url;
	}
	public void setLogo_url(String logo_url) {
		this.logo_url = logo_url;
	}
//	public String getSpeed() {
//		return speed;
//	}
//	public void setSpeed(String speed) {
//		this.speed = speed;
//	}
//	public String getOil() {
//		return oil;
//	}
//	public void setOil(String oil) {
//		this.oil = oil;
//	}
//	public String getTrip() {
//		return trip;
//	}
//	public void setTrip(String trip) {
//		this.trip = trip;
//	}
	public String getCar_brand_id() {
		return car_brand_id;
	}
	public void setCar_brand_id(String car_brand_id) {
		this.car_brand_id = car_brand_id;
	}
//	public String getCar_model_id() {
//		return car_model_id;
//	}
//	public void setCar_model_id(String car_model_id) {
//		this.car_model_id = car_model_id;
//	}
//	public String getCar_model_name() {
//		return car_model_name;
//	}
//	public void setCar_model_name(String car_model_name) {
//		this.car_model_name = car_model_name;
//	}
	public String getPub_url() {
		return pub_url;
	}
	public void setPub_url(String pub_url) {
		this.pub_url = pub_url;
	}
	public String getPub_signature() {
		return pub_signature;
	}
	public void setPub_signature(String pub_signature) {
		this.pub_signature = pub_signature;
	}
	public String getBuy_time() {
		return buy_time;
	}
	public void setBuy_time(String buy_time) {
		this.buy_time = buy_time;
	}
	public String getBuy_amount() {
		return buy_amount;
	}
	public void setBuy_amount(String buy_amount) {
		this.buy_amount = buy_amount;
	}
	public String getBelong() {
		return belong;
	}
	public void setBelong(String belong) {
		this.belong = belong;
	}
	public String getSharer_id() {
		return sharer_id;
	}
	public void setSharer_id(String sharer_id) {
		this.sharer_id = sharer_id;
	}

	public String getInsurance_id() {
		return insurance_id;
	}

	public void setInsurance_id(String insurance_id) {
		this.insurance_id = insurance_id;
	}

	public String getInsurance_name() {
		return insurance_name;
	}

	public void setInsurance_name(String insurance_name) {
		this.insurance_name = insurance_name;
	}

	public String getInsurance_phone() {
		return insurance_phone;
	}

	public void setInsurance_phone(String insurance_phone) {
		this.insurance_phone = insurance_phone;
	}

	public String getBuy_unit() {
		return buy_unit;
	}

	public void setBuy_unit(String buy_unit) {
		this.buy_unit = buy_unit;
	}

	public String getBuy_unit_phone() {
		return buy_unit_phone;
	}

	public void setBuy_unit_phone(String buy_unit_phone) {
		this.buy_unit_phone = buy_unit_phone;
	}

	public String getPub_contact_phone() {
		return pub_contact_phone;
	}

	public void setPub_contact_phone(String pub_contact_phone) {
		this.pub_contact_phone = pub_contact_phone;
	}

	public String getSharer_data() {
		return sharer_data;
	}

	public void setSharer_data(String sharer_data) {
		this.sharer_data = sharer_data;
	}

//	public List<ShareData> getShareDataList() {
//		return shareDataList;
//	}
//
//	public void setShareDataList(List<ShareData> shareDataList) {
//		this.shareDataList = shareDataList;
//	}

	public String getGolo_eye() {
		return golo_eye;
	}

	public void setGolo_eye(String golo_eye) {
		this.golo_eye = golo_eye;
	}
}
