package com.cnlaunch.downloadbin;




/**
 * 请求URL拼接实体
 *
 */
public class RequestInfo {

	
	String urlString =null;//下载URL地址
	int provider;
	int dev_type;
	String dev_ver = null;
	String sn = null;
	String module_name = null;//下载模块的名称
	String module_ver = null;//下载模块的版本号
	String device_id = null;//接头序列号
	int start_time = 0; //日志记录的开始时间
	int end_time = 0; //日志记录的终止时间
	int uptime = 0; //日志上传时候的时间
	String sk = "edafef2737a3f647e4e2d655f4f29a25";
	String prefix = "obd";
	String param_string = null;
	String url_param_string = null;
	
	/**
	 * 构造http查询版本请求信息
	 * @param urlString 请求地址
	 * @param serialNum 接头序列号
	 * @param i 任意int数值(无用)
	 */
	public RequestInfo(String urlString , String serialNum, int i) {
		this.urlString = urlString;
		provider = 1;
		device_id = serialNum;
		dev_type = 1;
		dev_ver = "1.0.0.1";
		url_param_string =  "provider="+provider+"&"+"device_id="+device_id+"&"+"dev_type="+dev_type+"&"+"dev_ver="+dev_ver;
		param_string =  "provider="+provider+"device_id="+device_id+"dev_type="+dev_type+"dev_ver="+dev_ver;
		sn = MD5.hexdigest(MD5.hexdigest(prefix+param_string) + sk);
	}
	
	/**
	 * 构造http下载downloadbin模块请求信息
	 * @param urlString     请求地址
	 * @param nameString 	模块名
	 * @param versionString 版本
	 */
//	public  RequestInfo(String urlString, String nameString, String  versionString) {
//		this.urlString = urlString;
//		provider = 1;
//		device_id = GuardService.serialNum;
//		dev_type = 1;
//		dev_ver = "1.0.0.1";
//		module_name = nameString;
//		module_ver = versionString;
//		url_param_string =  "provider="+provider+"&"+"device_id="+device_id+"&"+"dev_type="+dev_type+"&"+"dev_ver="+dev_ver
//							+"&"+"module_name="+module_name+"&"+"module_ver="+module_ver;
//		param_string =  "provider="+provider+"device_id="+device_id+"dev_type="+dev_type+"dev_ver="+dev_ver
//						+"module_name="+module_name+"module_ver="+module_ver;
//		sn = MD5.hexdigest(MD5.hexdigest(prefix+param_string) + sk);
//	}
	
	
	/**
	 * 构造日志上传的post信息
	 * @param urlString  请求地址
	 * @param serialNum	  接头序列号
	 */
	public  RequestInfo(String urlString, String serialNum) {
		this.urlString = urlString;
		provider = 1;
		device_id = serialNum;
		dev_type = 1;
		dev_ver = "1.0.0.1";
		param_string =  "provider="+provider+"device_id="+device_id+"dev_type="+dev_type+"dev_ver="+dev_ver;
		sn = MD5.hexdigest(MD5.hexdigest(prefix+param_string) + sk);
	}
	/**
	 * 请求URL加参数 get方式
	 * @return String URL+参数
	 */
	public String toQueryUrlString() {
		return (urlString+url_param_string+ "&"+"sn="+sn);
	}
	
	public String toString(){
		return (urlString+url_param_string+"&"+"sn="+ sn);
	}
	
	public String toUploadLogString() {
		return (urlString);
	}
	
	public int getDev_type()
	{
		return dev_type;
	}

	public void setDev_type(int dev_type)
	{
		this.dev_type = dev_type;
	}
	 
	public int getProvider() {
		return provider;
	}

	public int getStart_time() {
		return start_time;
	}

	public int getEnd_time() {
		return end_time;
	}

	public int getUptime() {
		return uptime;
	}

	public String getSn() {
		return sn;
	}

	public String getDevice_id() {
		return device_id;
	}
	
	public String getDev_ver()
	{
		return dev_ver;
	}

	public void setDev_ver(String dev_ver)
	{
		this.dev_ver = dev_ver;
	}
	
}
