package com.cnlaunch.golo.inspection.tools;

import android.view.View;
import android.view.ViewGroup;
import android.widget.ListAdapter;
import android.widget.ListView;

/**
 * @author: ljm
 * @类说明:	官方自带listview的工具类
 * @version 1.0
 * @创建时间：2014-12-30 下午7:01:27
 * 
 */
public class ListViewUtils {
	
	/**
	 * @Title: setHeight 
	 * @说明:手动计算listview的高度，使用与没有滚动条的listview
	 * @参数: @param listView   
	 * @return void    返回类型 
	 * @throws
	 */
	public static void setHeight(ListView listView) {
        ListAdapter adapter = listView.getAdapter();
         if (adapter != null) {
               int totalHeight = 0;
               for ( int i = 0, count = adapter.getCount(); i < count; i++) {
                    View itemView = adapter.getView(i, null, listView);
                    itemView.measure(0, 0);
                    totalHeight += itemView.getMeasuredHeight();
              }
              ViewGroup.LayoutParams layoutParams = listView.getLayoutParams();
              layoutParams. height = totalHeight + (listView.getDividerHeight() * (adapter.getCount() - 1));
              listView.setLayoutParams(layoutParams);
        }
	}

}
