package com.cnlaunch.golo.inspection.tools;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;

public class SharePreferenceUtils {
	private Context context;
	public SharePreferenceUtils(Context ctx){
		context=ctx;
	}
	public void saveConnectorActivateInfo(String configId,String obd_config,String user_id,String car_sign,String obd_sign){
		SharedPreferences sharedPreferences=context.getSharedPreferences("ConnectorActivate", Context.MODE_WORLD_WRITEABLE);
		Editor editor=sharedPreferences.edit();
		editor.putString("configId", configId);
		editor.putString("obd_config", obd_config);
		editor.putString("user_id", user_id);
		editor.putString("car_sign", car_sign);
		editor.putString("obd_sign", obd_sign);
		editor.commit();
	}
	public SharedPreferences getConnectorActivateInfo(){
		SharedPreferences sharedPreferences=context.getSharedPreferences("ConnectorActivate", Context.MODE_WORLD_WRITEABLE);
		return sharedPreferences;
	}
	
	public void saveAccessData(String access_id,String access_token){
		SharedPreferences sharedPreferences=context.getSharedPreferences("access", Context.MODE_WORLD_WRITEABLE);
		Editor editor=sharedPreferences.edit();
		editor.putString("access_id", access_id);
		editor.putString("access_token", access_token);
		editor.commit();
	}
	public SharedPreferences getAccessData(){
		SharedPreferences sharedPreferences=context.getSharedPreferences("access", Context.MODE_WORLD_WRITEABLE);
		return sharedPreferences;
	}
}
